gwibber-service crashed with KeyError in __init__(): 'uid'

Bug #740494 reported by Tadeáš Pařík on 2011-03-22
110
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Gwibber
Critical
Ken VanDine
gwibber (Ubuntu)
Medium
Ken VanDine

Bug Description

Binary package hint: gwibber

Gwibber only opened, no other action done.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: gwibber-service 2.91.91.1-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-7.37-generic 2.6.38
Uname: Linux 2.6.38-7-generic i686
Architecture: i386
Date: Tue Mar 22 22:11:27 2011
ExecutablePath: /usr/bin/gwibber-service
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
InterpreterPath: /usr/bin/python2.7
ProcCmdline: /usr/bin/python /usr/bin/gwibber-service
ProcEnviron:
 SHELL=/bin/bash
 LANGUAGE=cs_CZ:en
 LANG=cs_CZ.UTF-8
PythonArgs: ['/usr/bin/gwibber-service']
SourcePackage: gwibber
Title: gwibber-service crashed with KeyError in __init__(): 'uid'
UpgradeStatus: Upgraded to natty on 2011-03-21 (0 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Tadeáš Pařík (pariktadeas) wrote :

This crash has the same stack trace characteristics as bug #629410. However, the latter was already fixed in an earlier package version than the one in this report. This might be a regression or because the problem is in a dependent package.

tags: removed: need-duplicate-check
tags: added: regression-retracer
Victor Vargas (kamus) wrote :

Tadeás, please could you check if this behaviour is still occurring with latest release of gwibber 3.0.0.1?

Changed in gwibber (Ubuntu):
importance: Undecided → Medium
visibility: private → public
Detlef Lechner (detlef-lechner) wrote :

I am affected too.
~$ uname -a
Linux T42 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:50 UTC 2011 i686 i686 i386 GNU/Linux
I tried to call Gwibber and obtained the above error message too.

Victor Vargas (kamus) wrote :

Detlef, can you check if this behaviour continues affecting you with gwibber 3.0.0.1-0ubuntu3? Thank you

Chad Miller (cmiller) wrote :

Continues with 3.1.2-0ubuntu1.

Chad Miller (cmiller) wrote :
Victor Vargas (kamus) wrote :

Tadeás, any news about this issue? are you still being affected by this behaviour?

Changed in gwibber (Ubuntu):
status: New → Incomplete
Bilal Shahid (s9iper1) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better,
this should be fixed in the upcoming 3.3.4 release.

Changed in gwibber:
status: New → Invalid
Changed in gwibber (Ubuntu):
status: Incomplete → Invalid
Bilal Shahid (s9iper1) on 2012-02-10
Changed in gwibber (Ubuntu):
status: Invalid → Incomplete
Changed in gwibber:
status: Invalid → Incomplete
Ken VanDine (ken-vandine) wrote :

I got this doing an upgrade from lucid to precise

Changed in gwibber:
status: Incomplete → Confirmed
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → Critical
milestone: none → 3.4
Changed in gwibber (Ubuntu):
status: Incomplete → Confirmed
assignee: nobody → Ken VanDine (ken-vandine)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 3.3.91-0ubuntu1

---------------
gwibber (3.3.91-0ubuntu1) precise; urgency=low

  * New upstream release
    - Fix duplicate detection by falling back to comparing html,
      link_description, image_url and video_url (LP: #933694)
    - Fixed account migration path from 2.32 (desktopcouch) to
      3.4 (sqlite) (LP: #740494)
    - gwibber-accounts crashed with TypeError in function(): Item 0: must
      be a subtype of gi.Boxed (LP: #936071)
    - Fixed position tracking so page down and page up move the
      appropriate number of tiles (LP: #629420)
    - more escaping of text that pango markup can't support
    - twitter: Use Twitter entities, improves getting hashtags, mentions,
      links, images, and videos. Thanks to Mark Tully (LP: #948092)
 -- Ken VanDine <email address hidden> Thu, 08 Mar 2012 16:51:57 -0500

Changed in gwibber (Ubuntu):
status: Confirmed → Fix Released
Changed in gwibber:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers